AioHttpClientResponse Class
- Inheritance
-
AioHttpClientResponse
Constructor
AioHttpClientResponse(request: msrest.universal_http.ClientRequest, aiohttp_response: aiohttp.client_reqrep.ClientResponse)
Parameters
- request
- aiohttp_response
Methods
| body |
Return the whole body as bytes in memory. |
| load_body |
Load in memory the body, so it could be accessible from sync methods. |
| raise_for_status |
Raise for status. Should be overridden, but basic implementation provided. |
| stream_download |
Generator for streaming request body data. |
body
Return the whole body as bytes in memory.
body() -> bytes
load_body
Load in memory the body, so it could be accessible from sync methods.
async load_body() -> None
raise_for_status
Raise for status. Should be overridden, but basic implementation provided.
raise_for_status()
stream_download
Generator for streaming request body data.
stream_download(chunk_size: Optional[int] = None, callback: Optional[Callable] = None) -> AsyncIterator[bytes]
Parameters
- chunk_size
default value: None
- callback
default value: None
Feedback
Submit and view feedback for